/* @import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap'); */


@font-face {
    font-family: "Druk";
    src: url("/Fonts/DrukText-SuperItalic-Trial.woff2") format('woff2');

    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "Roboto";
    src: url("/Fonts/Roboto.woff2") format('woff2');

    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Roboto";
    src: url("/Fonts/Roboto-Italic.woff2") format('woff2');

    font-weight: 100 900;
    font-style: italic;
    font-display: swap;
}


:root {
    --accent-yellow: #F9E600;
    --accent-green: #004D43;

    /* Depth shadows */
    --menu-shadow: 4px 6px 6px 0px #00000036;

    --shadow: 0 4px 30px #0000001a;
    
    --shadow-s: inset 0 1px 2px #ffffff30,
    0 1px 2px #00000030,
    0 2px 4px #00000015;

    --shadow-m: inset 0 1px 2px #ffffff50,
    0 2px 4px #00000030,
    0 4px 8px #00000015;

    --shadow-l: inset 0 1px 2px #ffffff70,
    0 4px 6px #00000030,
    0 6px 10px #00000015;

    font-size: 10px;
}

*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    font-size: 1rem;
    font-weight: 400;

    -webkit-font-smoothing: antialiased;
}

html {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
}

html, body {
    scrollbar-width: thin;
    scroll-behavior: smooth;
    overflow-x: clip;
}

/* html.no-scroll,
html.no-scroll body {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

html.no-scroll::-webkit-scrollbar,
html.no-scroll body::-webkit-scrollbar {
    display: none;
} */

.-main-box {
    margin-inline: auto;
    width: min(124rem, 90%);
}


/* Header */

header {
    --skew: 6px;
    /* --skew: 12px; */

    position: fixed;
    inset-inline: 0;
    top: 0; right: 0;

    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;

    opacity: 0;
    transition: 0.5s opacity ease-in;

    z-index: 10;
}
header.-shown {
    opacity: 1;
}


#mainLogo {
    position: absolute;
    top: 0; left: 0;
    cursor: pointer;
}
#mainLogo {
    transform-origin: top left;
    transition:
        transform 0.35s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

/* diminished state */
#mainLogo[data-diminished="true"] {
    transform: scale(0.75);
}

/* reduced state */
#mainLogo.-reduced {
    transform: scale(0.5) translate(-4rem, -1.5rem);
}

header nav {
    margin: 1rem 1rem 1rem auto;
}
header nav #menu {
    display: flex;
    align-items: center;
    gap: 5px;

    box-shadow: var(--menu-shadow);
}

header nav .nav-item-box {
    margin-block: 3px;
    
    display: flex;
    align-items: center;
    justify-content: center;

    position: relative;
    isolation: isolate;
}

header nav .nav-item {
    padding: 2rem;
    width: 100%;

    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 2rem;
    
    line-height: 1;
    letter-spacing: 0;
    
    text-transform: uppercase;
    text-decoration: none;
    
    color: var(--accent-yellow);
    transition: color 0.25s;
    
    cursor: pointer;
}

header nav .nav-item[data-active="true"] {
    color: #000;
    background-color: var(--accent-yellow);

    clip-path: polygon(
        var(--skew) 0%, 100% 0%,
        calc(100% - var(--skew)) 100%, 0% 100%
    );
}

header nav .nav-item:not([data-active="true"]):is(:hover, :focus-visible) {
    color: #fff;
}

header nav .group {
    padding-inline: calc(var(--skew) / 2);

    display: flex;
    align-items: center;

    position: relative;
    isolation: isolate;
}

header nav .group svg {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;

    fill: #000;
    stroke: var(--accent-yellow);

    z-index: -1;
}


header nav .group.-highlighted a {
    color: #000;
}
header nav .group.-highlighted a:is(:hover, :focus-visible) {
    color: var(--accent-green);
}
header nav .group.-highlighted svg {
    fill: var(--accent-yellow);
}


/* Small screen tools */
header .sm-scr-tools {
    display: none;
    align-items: center;
    justify-content: center;
    gap: 5px;

    box-shadow: var(--menu-shadow);
}

/* Small screen "Get a quote" */

header #quickQuote,
header #menuToggler {
    --skew: 9px;
   
    height: 46px;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--accent-yellow);
    border: none;

    user-select: none;
    cursor: pointer;
    z-index: 1;
}

header #quickQuote {
    padding-inline: 1rem calc(1rem + var(--skew));

    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 1.75rem;
    line-height: 1;
    letter-spacing: 0;
    text-transform: uppercase;
    text-decoration: none;
    color: #000;

    clip-path: polygon(0 0, 100% 0, calc(100% - var(--skew)) 100%, 0 100%);
    transition: opacity 0.2s;
}

header:has(#menu.-show-modal) #quickQuote {
    opacity: 0;
    pointer-events: none;
}

/* Small screen menu toggler */

header #menuToggler {
    width: 55px;
    clip-path: polygon(var(--skew) 0, 100% 0, 100% 100%, 0 100%);
}

header #menuToggler svg {
    margin-right: -5px;
    transition: 0.35s;
}
header #menuToggler svg line {
    transform-origin: center;
    transition: 0.25s;
}
header #menuToggler.-close svg line.a {
    rotate: 45deg;
    translate: -4px 4px;
}
header #menuToggler.-close svg line.b {
    opacity: 0;
}
header #menuToggler.-close svg line.c {
    rotate: -45deg;
    translate: -4px -4px;
}
header #menuToggler.-close svg {
    rotate: 90deg;
}


/* Modal menu */

header nav #menu.-show-modal {
    padding-block: 6.5rem 7.5rem;
    width: min(50rem, 100%);

    position: fixed;
    top: 0; right: 0;

    background: linear-gradient(to bottom, #1C314D, #0054C5);
    border: 1px solid #000;

    display: grid;
}
header nav #menu.-show-modal .group {
    padding: 0;
    display: grid;
}
header nav #menu.-show-modal svg {
    display: none;
}
header nav #menu.-show-modal a {
    height: 7.5rem;

    display: flex;
    align-items: center;
    justify-content: center;

    color: #fff;

    border-top: 2px solid #000;
    position: relative;
    isolation: isolate;
}
header nav #menu.-show-modal a[data-active="true"] {
    color: #000;
}
header nav #menu.-show-modal a:not([data-active="true"]):is(:hover, :focus-visible) {
    color: var(--accent-yellow);
}


header nav #menu.-show-modal a::before {
    content: "";

    position: absolute;
    inset: 0;
    height: 7px;

    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 2px);
    background-color: #fff;
}
header nav #menu.-show-modal a:nth-child(odd):before {
    transform: scaleX(-1);
}
header nav #menu.-show-modal .group.-highlighted {
    border-bottom: 2px solid #000;
    position: relative;
    isolation: isolate;
}
header nav #menu.-show-modal .group.-highlighted::after {
    content: "";

    position: absolute;
    left: 0; bottom: 0;
    width: 100%; height: 7px;

    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 2px);
    background-color: #fff;

    transform: scaleX(-1) translateY(calc(100% + 2px));
}


/* Submenu */
header nav #menu ul.submenu {
    padding: 1.2rem 1rem;

    display: none;
    gap: 1rem;

    list-style-type: none;
    position: absolute;
    top: 100%; left: 0;
    
    width: max-content;
    max-width: 26rem;
    
    translate: -4% 4px;

    background-color: #C1C1C1;
    transform: skewX(-5deg);

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity .2s ease;
}
header nav #menu ul.submenu.-shown {
    display: grid;
    
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

header nav #menu ul.submenu li {
    position: relative;
    isolation: isolate;
}
header nav #menu ul.submenu li::before {
    content: "";
    
    position: absolute;
    inset: -8px -1rem;

    background-color: transparent;
    transform: background-color 0.5s;
    
    z-index: -1;
}
header nav #menu ul.submenu li:is(:hover, :focus-visible)::before {
    background-color: #fff;
}

header nav #menu ul.submenu li a {
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 1.5rem;
    
    line-height: 1;
    letter-spacing: 0;
    
    text-transform: uppercase;
    text-decoration: none;
    
    color: #000;
    transition: color 0.25s;
}


/* Buttons */

.btn {
    padding-inline: 2.5rem;
    max-width: 20rem;
    height: 4.4rem;

    display: inline-flex;
    align-items: center;

    text-decoration: none;
    overflow: hidden;

    transition: color 0.25s;
    position: relative;
}

.btn.-yellow {
    background-color: var(--accent-yellow);
    border: 1px solid #fff;
}

.btn__marquee {
    width: max-content;
    display: inline-flex;
    color: #000;
    will-change: transform;
}
.btn__marquee span {
    padding-right: 3rem;    /* ← ВАЖЛИВО  для плавної анімації*/
  
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 2rem;
    
    line-height: 1;
    letter-spacing: 0;

    text-transform: uppercase;
    white-space: nowrap;
}

.btn:is(:hover, :focus-visible) .btn__marquee {
    animation: marquee 4s linear infinite;
}

@keyframes marquee {
    from { transform: translateX(0); }
    to { transform: translateX(-50%); }
}

@media (prefers-reduced-motion: reduce) {
    .btn:is(:hover, :focus-visible) .btn__marquee {
        animation: none;
        color: var(--accent-green);
    }
}


.grecaptcha-badge {
    z-index: -2 !important;
}


@media (max-width: 1050px) {
    #mainLogo {
        max-width: 14rem;
    }
    #mainLogo.-reduced {
        transform: scale(0.7);
    }

    /* Hiding menu */
    header nav #menu:not(.-show-modal) {
        display: none;
    }
    /* Showing toggler */
    header .sm-scr-tools {
        display: flex;
    }

    header nav .nav-item-box {
        margin-block: unset;
        flex-direction: column;    
    }

    header nav #menu {
        max-height: 100dvh;
        overflow-y: auto;
        
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    header nav #menu ul.submenu {
        margin-block: 5px;
        padding: 5px;
        
        width: 100%;
        max-width: unset;

        list-style-type: none;
        gap: 1rem;

        position: unset;
        translate: unset;

        transform: skewX(0deg);
    }

    header nav #menu ul.submenu li a {
        padding-block: 8px 2px;
        height: auto;
        text-align: center;
        border-top: 1px solid lightgray;
    }
    header nav #menu.-show-modal ul.submenu li a::before {
        content: unset;
    }

    /* Redraw active menu item */
    header nav a[data-active="true"] {
        clip-path: unset;
    }

    .btn__marquee {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        /* overflow: hidden; */
    }
    .btn__marquee span {
        padding-inline: unset;
        text-align: center;
    }
    .btn__marquee span[aria-hidden="true"] {
        display: none;
    }
}